ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Channel::Impl Class Reference

Private implementation details of Channel model object. More...

Collaboration diagram for ome::xml::model::Channel::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > > | pinholeSize
| PinholeSize property.
ome::compat::shared_ptr< std::string > | name
| Name property.
ome::compat::shared_ptr< ome::xml::model::enums::AcquisitionMode > | acquisitionMode
| AcquisitionMode property.
ome::compat::shared_ptr< ome::xml::model::primitives::Color > | color
| Color property.
ome::compat::shared_ptr< ome::xml::model::enums::ContrastMethod > | contrastMethod
| ContrastMethod property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > | excitationWavelength
| ExcitationWavelength property.
ome::compat::shared_ptr< ome::xml::model::enums::IlluminationType > | illuminationType
| IlluminationType property.
ome::compat::shared_ptr< std::string > | fluor
| Fluor property.
ome::compat::shared_ptr< int32_t > | pockelCellSetting
| PockelCellSetting property.
ome::compat::shared_ptr< double > | ndFilter
| NDFilter property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > > | emissionWavelength
| EmissionWavelength property.
std::string | id
| ID property.
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | samplesPerPixel
| SamplesPerPixel property.
ome::compat::shared_ptr< ome::xml::model::LightSourceSettings > | lightSourceSettings
| LightSourceSettings property.
ome::compat::shared_ptr< ome::xml::model::DetectorSettings > | detectorSettings
| DetectorSettings property.
ome::compat::weak_ptr< ome::xml::model::FilterSet > | filterSet
| FilterSetRef reference.
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
ome::compat::shared_ptr< ome::xml::model::LightPath > | lightPath
| LightPath property.
ome::compat::weak_ptr< ome::xml::model::Pixels > | pixels
| Pixels_BackReference back reference.

## Detailed Description

Private implementation details of Channel model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Channel.cpp